ADAM_2.12: CLI 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    adam
- ADAM2Fastq
- ADAM2FastqArgs
- ADAMMain
- ADAMModule
- About
- CommandGroup
- CountReadKmers
- CountReadKmersArgs
- CountSliceKmers
- CountSliceKmersArgs
- Coverage
- CoverageArgs
- FlagStat
- FlagStatArgs
- MergeShards
- MergeShardsArgs
- PrintADAM
- PrintADAMArgs
- TransformAlignments
- TransformAlignmentsArgs
- TransformFeatures
- TransformFeaturesArgs
- TransformFragments
- TransformFragmentsArgs
- TransformGenotypes
- TransformGenotypesArgs
- TransformSequences
- TransformSequencesArgs
- TransformSlices
- TransformSlicesArgs
- TransformVariants
- TransformVariantsArgs
- View
- ViewArgs

c

org.bdgenomics.adam.cli

# ADAMMain 

###
Companion object ADAMMain

#### class ADAMMain extends Logging

Linear Supertypes
Logging, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ADAMMain
2. Logging
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ADAMMain(commandGroups: List[CommandGroup])
   Annotations
     @Inject()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(args: Array[String]): Unit
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
7.  def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
   Attributes
     protected
   Definition Classes
     Logging
8.  def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit
   Attributes
     protected
   Definition Classes
     Logging
9.  def debug(msg: ⇒ Any): Unit
   Attributes
     protected
   Definition Classes
     Logging
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
12.  def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
13.  def error(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
14.  def error(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
17.  def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
18.  def info(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
19.  def info(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
20.  def isDebugEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
21.  def isErrorEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
22.  def isInfoEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  def isTraceEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
25.  def isWarnEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
26.  def logger: Logger
    Attributes
      protected
    Definition Classes
      Logging
27.  def loggerName: String
    Attributes
      protected
    Definition Classes
      Logging
28.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
30.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
31.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
32.  def toString(): String
    Definition Classes
      AnyRef → Any
33.  def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
34.  def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
35.  def trace(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
40.  def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
41.  def warn(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Logging

### Inherited from AnyRef

### Inherited from Any

### Ungrouped